Bug 2232042 - Review Request: python-requirements-parser - A small Python module for parsing Pip requirement files
Summary: Review Request: python-requirements-parser - A small Python module for parsin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benson Muite
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-08-15 02:05 UTC by Maxwell G
Modified: 2023-08-26 02:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-17 04:21:38 UTC
Type: ---
Embargoed:
benson_muite: fedora-review+


Attachments (Terms of Use)

Comment 1 Benson Muite 2023-08-15 08:54:22 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0",
     "*No copyright* Apache License", "BSD 2-Clause License", "MIT
     License". 65 files have unknown license. Detailed output of
     licensecheck in /home/FedoraPackaging/reviews/python-requirements-
     parser/2232042-python-requirements-parser/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 9977 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-requirements-parser-0.5.0-1.fc38.noarch.rpm
          python-requirements-parser-0.5.0-1.fc38.src.rpm
============================================ rpmlint session starts ============================================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpwts9j16i')]
checks: 31, packages: 2

============= 2 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 5.4 s =============




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.1 s 



Source checksums
----------------
https://github.com/madpah/requirements-parser/archive/v0.5.0/requirements-parser-0.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 49dd8e415d7402eda2dffd31b73abee691de040470de1dbb2ebfb3ce16dd7c22
  CHECKSUM(SHA256) upstream package : 49dd8e415d7402eda2dffd31b73abee691de040470de1dbb2ebfb3ce16dd7c22


Requires
--------
python3-requirements-parser (rpmlib, GLIBC filtered):
    python(abi)
    python3.11dist(setuptools)



Provides
--------
python3-requirements-parser:
    python-requirements-parser
    python3-requirements-parser
    python3.11-requirements-parser
    python3.11dist(requirements-parser)
    python3dist(requirements-parser)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2232042 -m fedora-38-x86_64
Buildroot used: fedora-38-x86_64
Active plugins: Shell-api, Python, Generic
Disabled plugins: Ruby, Ocaml, R, C/C++, SugarActivity, PHP, Perl, fonts, Java, Haskell
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comments:
a) License file is available in both:
/usr/share/license/python3-requirements-parser
/usr/lib/python3.12/site-packages/requirements_parser-0.5.0.dist-info

It does not need to be marked with %license as it being available in
/usr/lib/python3.12/site-packages/requirements_parser-0.5.0.dist-info
is sufficient
b) Should AUTHORS.rst file just be documentation and not license?

Comment 2 Maxwell G 2023-08-15 18:59:08 UTC
> It does not need to be marked with %license

It does need to be marked with %license. poetry-core does not provide the necessary metadata for the pyproject macros to do this automatically. The file is in the dist-info directory, but it's not marked with %license. I also prefer to keep licenses in /usr/share/licenses to being with.

> b) Should AUTHORS.rst file just be documentation and not license?

This is a list of authors who own copyright for parts of the code, so I prefer to mark it with %license.

Comment 3 Benson Muite 2023-08-16 07:29:03 UTC
Yes you are correct:
$ rpm -qL python3-requirements-parser-0.5.0-1.fc38.noarch.rpm
/usr/share/licenses/python3-requirements-parser/AUTHORS.rst
/usr/share/licenses/python3-requirements-parser/LICENSE

Probably also relevant is:
https://pagure.io/packaging-committee/issue/1223

Approved.

If have time, review of one of:
https://bugzilla.redhat.com/show_bug.cgi?id=2227502
https://bugzilla.redhat.com/show_bug.cgi?id=2223901
https://bugzilla.redhat.com/show_bug.cgi?id=2218044

would be appreciated

Comment 4 Maxwell G 2023-08-16 20:17:47 UTC
Thanks, Benson! I generally only review Python, Go, and sometimes Rust packages, but I can try and take a look at one of those.

Comment 5 Fedora Admin user for bugzilla script actions 2023-08-16 20:57:08 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/python-requirements-parser

Comment 6 Fedora Update System 2023-08-17 04:20:43 UTC
FEDORA-2023-68b7ea6efd has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-68b7ea6efd

Comment 7 Fedora Update System 2023-08-17 04:20:44 UTC
FEDORA-2023-832d4de03b has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-832d4de03b

Comment 8 Fedora Update System 2023-08-17 04:21:38 UTC
FEDORA-2023-68b7ea6efd has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-08-17 04:21:41 UTC
FEDORA-2023-832d4de03b has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Benson Muite 2023-08-17 04:58:46 UTC
This is python, but not quite ready (may take a few days, want to change one of the dependencies):
https://bugzilla.redhat.com/show_bug.cgi?id=2219377

Comment 11 Fedora Update System 2023-08-17 05:05:17 UTC
FEDORA-2023-118c2c8a66 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-118c2c8a66

Comment 12 Fedora Update System 2023-08-17 05:05:25 UTC
FEDORA-2023-efd5d8a6fa has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-efd5d8a6fa

Comment 13 Fedora Update System 2023-08-18 07:23:39 UTC
FEDORA-2023-efd5d8a6fa has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-efd5d8a6fa \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-efd5d8a6fa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2023-08-18 07:40:32 UTC
FEDORA-2023-118c2c8a66 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-118c2c8a66 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-118c2c8a66

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2023-08-26 01:10:50 UTC
FEDORA-2023-efd5d8a6fa has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2023-08-26 02:03:39 UTC
FEDORA-2023-118c2c8a66 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.